package java.awt.color;


// Stub
public class ICC_Profile {
    long profileID; // why long?

    ICC_Profile(long profileID) {
	this.profileID = profileID;
    }

    public int getNumComponents() {
	switch (profileID) {
	case ColorSpace.CS_sRGB:
	case ColorSpace.CS_LINEAR_RGB:
	case ColorSpace.CS_CIEXYZ:
	    return 3;
	case ColorSpace.CS_GRAY:
	    return 1;
	case ColorSpace.CS_PYCC:    // have no clue about this one
	default:
	    throw new UnsupportedOperationException("profile not implemented");
	}
    }
}
