package no.rwr.x;
import gnu.gcj.RawData;

public final class Font extends XID {


    public Font(Display display, String lfdNamePattern) {
	this(display, loadFont(display, lfdNamePattern));
    }

    Font(Display display, RawData struct) {
	super(display, getXIDFromStruct(struct));
	structure = struct;
    }

    static native RawData
	loadFont(Display display, String lfdNamePattern);

    static native int getXIDFromStruct(RawData structure);


    public native int getAscent();
    public native int getDescent();
    public native int getMaxAscent();
    public native int getMaxDescent();

    /*
    static native int loadFontXID(Display display,
				  String lfdNamePattern);
    */
    public native int getStringWidth(String str);


    protected native void finalize();

    RawData structure;
}
